JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::ProfileStateEntry Struct Reference
juce_midi_ci » ci

Holds a profile ID, along with the number of supported and active channels corresponding to that profile. More...

`#include <juce_CIProfileStates.h>`

## Public Member Functions
bool | operator< (const Profile &other) const
bool | operator< (const ProfileStateEntry &other) const

## Public Attributes
Profile | profile
| A MIDI-CI profile ID.
SupportedAndActive | state
| The number of channels corresponding to the profile.

## Detailed Description

Holds a profile ID, along with the number of supported and active channels corresponding to that profile.

## Member Function Documentation

## ◆ operator<() [1/2]

bool juce::midi_ci::ProfileStateEntry::operator< | ( | const Profile & | other | ) | const

References profile.

## ◆ operator<() [2/2]

bool juce::midi_ci::ProfileStateEntry::operator< | ( | const ProfileStateEntry & | other | ) | const

References profile.

## Member Data Documentation

## ◆ profile

Profile juce::midi_ci::ProfileStateEntry::profile

A MIDI-CI profile ID.

Referenced by operator<(), and operator<().

## ◆ state

SupportedAndActive juce::midi_ci::ProfileStateEntry::state

The number of channels corresponding to the profile.

The documentation for this struct was generated from the following file:

- juce_CIProfileStates.h